import React from 'react';
import authAdminPhoneNumberDriven from '~/driven/adapters/auth-admin-phonenumber/authAdminPhoneNumberDriven';
import phonenumberAuthInfra from '~/business-logic/generic/admin-user/authentication/phonnumber-auth';
import authAdminLogin from '~/driven/adapters/auth-admin-login/authAdminLogin';
import otpAuthInfra from '~/business-logic/generic/admin-user/authentication/otp-auth';
import AuthenticationView from '../view/AuthenticationView';

export default function Authentication() {
  const authPhonenumberDriven = authAdminPhoneNumberDriven();
  const authPhoneLogic = phonenumberAuthInfra(authPhonenumberDriven);

  const authLoginDriven = authAdminLogin();
  const otpAuthLogic = otpAuthInfra(authLoginDriven.httpHandler);

  return <AuthenticationView authPhone={authPhoneLogic} otpAuth={otpAuthLogic} />;
}
